> For a complete page index, fetch https://developer.close.com/llms.txt

# Delete a single OpportunityStatusChange activity

DELETE https://api.close.com/api/v1/activity/status_change/opportunity/{id}/

Deleting an OpportunityStatusChange does not change the status of the Opportunity. It only removes the status change event from the Lead's activity feed.

It should only be used if the status change is irrelevant (such as records for a change that has been reverted) and having it in the activity feed is causing integration problems with another system.

Reference: https://developer.close.com/api/resources/activities/opportunity-status-changes/delete

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /activity/status_change/opportunity/{id}/:
    delete:
      operationId: delete
      summary: Delete a single OpportunityStatusChange activity
      description: >-
        Deleting an OpportunityStatusChange does not change the status of the
        Opportunity. It only removes the status change event from the Lead's
        activity feed.


        It should only be used if the status change is irrelevant (such as
        records for a change that has been reverted) and having it in the
        activity feed is causing integration problems with another system.
      tags:
        - subpackage_activitiesOpportunityStatusChanges
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Use your API key as the username and leave the password empty.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/activities.opportunity_status_changes_delete_Response_200
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    activities.opportunity_status_changes_delete_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: activities.opportunity_status_changes_delete_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
      description: Use your API key as the username and leave the password empty.
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.close.com/api/v1/activity/status_change/opportunity/id/"

response = requests.delete(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript
const url = 'https://api.close.com/api/v1/activity/status_change/opportunity/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'DELETE', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/activity/status_change/opportunity/id/"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/activity/status_change/opportunity/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.close.com/api/v1/activity/status_change/opportunity/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.close.com/api/v1/activity/status_change/opportunity/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/activity/status_change/opportunity/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.DELETE);

IRestResponse response = client.Execute(request);
```